Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/fyhyp.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/fyhyp.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/fyhyp.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -75,5 +75,5 @@
        depi     = 2. * pi
        pis2     = pi/2.
-       pisjm    = pi/ FLOAT(jjm)
+       pisjm    = pi/ REAL(jjm)
        epsilon  = 1.e-3
        y0       =  yzoomdeg * pi/180. 
@@ -94,5 +94,5 @@
 
        DO i = 0, nmax2 
-        yt(i) = - pis2  + FLOAT(i)* pi /nmax2
+        yt(i) = - pis2  + REAL(i)* pi /nmax2
        ENDDO
 
@@ -210,5 +210,5 @@
        DO 1500 j =  1,jlat
         yo1   = 0.
-        ylon2 =  - pis2 + pisjm * ( FLOAT(j)  + yuv  -1.)  
+        ylon2 =  - pis2 + pisjm * ( REAL(j)  + yuv  -1.)  
         yfi    = ylon2
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/gcm.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/gcm.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/gcm.F	(revision 1299)
@@ -18,4 +18,5 @@
       USE getparam
       USE filtreg_mod
+      USE control_mod
 
 ! Ehouarn: for now these only apply to Earth:
@@ -66,5 +67,4 @@
 #include "logic.h"
 #include "temps.h"
-#include "control.h"
 #include "ener.h"
 #include "description.h"
@@ -308,5 +308,5 @@
       ENDIF
 
-      zdtvr    = daysec/FLOAT(day_step)
+      zdtvr    = daysec/REAL(day_step)
         IF(dtvr.NE.zdtvr) THEN
          WRITE(lunout,*)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grid_atob.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grid_atob.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grid_atob.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE grille_m(imdep, jmdep, xdata, ydata, entree,
@@ -717,14 +717,14 @@
 c Calculs intermediares:
 c
-      xtmp(1) = -180.0 + 360.0/FLOAT(imtmp) / 2.0
+      xtmp(1) = -180.0 + 360.0/REAL(imtmp) / 2.0
       DO i = 2, imtmp
-         xtmp(i) = xtmp(i-1) + 360.0/FLOAT(imtmp)
+         xtmp(i) = xtmp(i-1) + 360.0/REAL(imtmp)
       ENDDO
       DO i = 1, imtmp
          xtmp(i) = xtmp(i) /180.0 * 4.0*ATAN(1.0)
       ENDDO
-      ytmp(1) = -90.0 + 180.0/FLOAT(jmtmp) / 2.0
+      ytmp(1) = -90.0 + 180.0/REAL(jmtmp) / 2.0
       DO j = 2, jmtmp
-         ytmp(j) = ytmp(j-1) + 180.0/FLOAT(jmtmp)
+         ytmp(j) = ytmp(j-1) + 180.0/REAL(jmtmp)
       ENDDO
       DO j = 1, jmtmp
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grid_noro.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grid_noro.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grid_noro.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -93,5 +93,5 @@
       xpi=acos(-1.)
       rad    = 6 371 229.
-      zdeltay=2.*xpi/float(jusn)*rad
+      zdeltay=2.*xpi/REAL(jusn)*rad
 c
 c utilise-t'on un masque lu?
@@ -215,6 +215,6 @@
 c  SUMMATION OVER GRIDPOINT AREA
 c 
-      zleny=xpi/float(jusn)*rad
-      xincr=xpi/2./float(jusn)
+      zleny=xpi/REAL(jusn)*rad
+      xincr=xpi/2./REAL(jusn)
        DO ii = 1, imar+1
        DO jj = 1, jmar
@@ -468,5 +468,5 @@
       DO IS=-1,1
         DO JS=-1,1
-          WEIGHTpb(IS,JS)=1./FLOAT((1+IS**2)*(1+JS**2))
+          WEIGHTpb(IS,JS)=1./REAL((1+IS**2)*(1+JS**2))
           SUM=SUM+WEIGHTpb(IS,JS)
         ENDDO
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grilles_gcm_netcdf.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grilles_gcm_netcdf.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/grilles_gcm_netcdf.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -218,13 +218,13 @@
       open (20,file='grille.dat',form='unformatted',access='direct'
      s      ,recl=4*ip1jmp1)
-      write(20,rec=1) ((float(mod(i,2)+mod(j,2)),i=1,iip1),j=1,jjp1)
-      write(20,rec=2) ((float(mod(i,2)*mod(j,2)),i=1,iip1),j=1,jjp1)
+      write(20,rec=1) (( REAL(mod(i,2)+mod(j,2)),i=1,iip1),j=1,jjp1)
+      write(20,rec=2) (( REAL(mod(i,2)*mod(j,2)),i=1,iip1),j=1,jjp1)
       do j=2,jjm
          dlat1(j)=180.*(rlatv(j)-rlatv(j-1))/pi
-c        dlat2(j)=180.*fyprim(float(j))/pi
+c        dlat2(j)=180.*fyprim( REAL(j))/pi
       enddo
       do i=2,iip1
          dlon1(i)=180.*(rlonu(i)-rlonu(i-1))/pi
-c        dlon2(i)=180.*fxprim(float(i))/pi
+c        dlon2(i)=180.*fxprim( REAL(i))/pi
       enddo
       do j=2,jjm
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/guide_p_mod.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/guide_p_mod.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/guide_p_mod.F90	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header: /home/cvsroot/LMDZ4/libf/dyn3d/guide.F,v 1.3.4.1 2006/11/06 15:51:16 fairhead Exp $
+! $Id$
 !
 MODULE guide_p_mod
@@ -66,4 +66,5 @@
   SUBROUTINE guide_init
 
+    USE control_mod
     IMPLICIT NONE
   
@@ -71,5 +72,4 @@
     INCLUDE "paramet.h"
     INCLUDE "netcdf.inc"
-    INCLUDE "control.h"
 
     INTEGER                :: error,ncidpl,rid,rcod
@@ -274,4 +274,5 @@
   SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
     use parallel
+    USE control_mod
     
     IMPLICIT NONE
@@ -279,5 +280,4 @@
     INCLUDE "dimensions.h"
     INCLUDE "paramet.h"
-    INCLUDE "control.h"
     INCLUDE "comconst.h"
     INCLUDE "comvert.h"
@@ -380,7 +380,7 @@
       dday_step=real(day_step)
       IF (iguide_read.LT.0) THEN
-          tau=ditau/dday_step/FLOAT(iguide_read)
+          tau=ditau/dday_step/ REAL(iguide_read)
       ELSE
-          tau=FLOAT(iguide_read)*ditau/dday_step
+          tau= REAL(iguide_read)*ditau/dday_step
       ENDIF
       reste=tau-AINT(tau)
@@ -580,5 +580,5 @@
               ENDDO
           ENDDO 
-          fieldm(:,l)=fieldm(:,l)/FLOAT(imax(typ)-imin(typ)+1)
+          fieldm(:,l)=fieldm(:,l)/ REAL(imax(typ)-imin(typ)+1)
     ! Compute forcing
           DO j=jjb_v,jje_v
@@ -598,5 +598,5 @@
               ENDDO
           ENDDO 
-          fieldm(:,l)=fieldm(:,l)/FLOAT(imax(typ)-imin(typ)+1)
+          fieldm(:,l)=fieldm(:,l)/ REAL(imax(typ)-imin(typ)+1)
     ! Compute forcing
           DO j=jjb_u,jje_u
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/infotrac.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/infotrac.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/infotrac.F90	(revision 1299)
@@ -31,4 +31,5 @@
 
   SUBROUTINE infotrac_init
+    USE control_mod
     IMPLICIT NONE
 !=======================================================================
@@ -49,5 +50,4 @@
 
     INCLUDE "dimensions.h"
-    INCLUDE "control.h"
     INCLUDE "iniprint.h"
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/iniacademic.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/iniacademic.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/iniacademic.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -31,4 +31,5 @@
 c
 c=======================================================================
+      USE control_mod
       IMPLICIT NONE
 c-----------------------------------------------------------------------
@@ -44,5 +45,4 @@
 #include "ener.h"
 #include "temps.h"
-#include "control.h"
 #include "iniprint.h"
 
@@ -93,5 +93,5 @@
         g      = 9.8
         daysec = 86400.
-        dtvr    = daysec/FLOAT(day_step)
+        dtvr    = daysec/REAL(day_step)
         zdtvr=dtvr
         kappa  = 0.2857143
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/iniconst.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/iniconst.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/iniconst.F	(revision 1299)
@@ -1,7 +1,8 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE iniconst
 
+      USE control_mod
       IMPLICIT NONE
 c
@@ -16,5 +17,4 @@
 #include "comconst.h"
 #include "temps.h"
-#include "control.h"
 #include "comvert.h"
 
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/inidissip.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/inidissip.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/inidissip.F	(revision 1299)
@@ -11,4 +11,6 @@
 c   -------------
 
+      USE control_mod
+
       IMPLICIT NONE
 #include "dimensions.h"
@@ -17,5 +19,4 @@
 #include "comconst.h"
 #include "comvert.h"
-#include "control.h"
 #include "logic.h"
 
@@ -165,5 +166,5 @@
 
 c     IF(.NOT.lstardis) THEN
-         fact    = rad*24./float(jjm)
+         fact    = rad*24./REAL(jjm)
          fact    = fact*fact
          PRINT*,'coef u ', fact/cdivu, 1./cdivu
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/inigeom.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/inigeom.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/inigeom.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -168,15 +168,15 @@
 c
       IF( nitergdiv.NE.2 ) THEN
-        gamdi_gdiv = coefdis/ ( float(nitergdiv) -2. )
+        gamdi_gdiv = coefdis/ ( REAL(nitergdiv) -2. )
       ELSE
         gamdi_gdiv = 0.
       ENDIF
       IF( nitergrot.NE.2 ) THEN
-        gamdi_grot = coefdis/ ( float(nitergrot) -2. )
+        gamdi_grot = coefdis/ ( REAL(nitergrot) -2. )
       ELSE
         gamdi_grot = 0.
       ENDIF
       IF( niterh.NE.2 ) THEN
-        gamdi_h = coefdis/ ( float(niterh) -2. )
+        gamdi_h = coefdis/ ( REAL(niterh) -2. )
       ELSE
         gamdi_h = 0.
@@ -381,6 +381,6 @@
        yprp               = yprimu2(j-1)
        rlatp              = rlatu2 (j-1)
-ccc       yprp             = fyprim( FLOAT(j) - 0.25 )
-ccc       rlatp            = fy    ( FLOAT(j) - 0.25 )
+ccc       yprp             = fyprim( REAL(j) - 0.25 )
+ccc       rlatp            = fy    ( REAL(j) - 0.25 )
 c
       coslatp             = COS( rlatp )
@@ -416,8 +416,8 @@
         rlatm    = rlatu1 (  j  )
         yprm     = yprimu1(  j  )
-cc         rlatp    = fy    ( FLOAT(j) - 0.25 )
-cc         yprp     = fyprim( FLOAT(j) - 0.25 )
-cc         rlatm    = fy    ( FLOAT(j) + 0.25 )
-cc         yprm     = fyprim( FLOAT(j) + 0.25 )
+cc         rlatp    = fy    ( REAL(j) - 0.25 )
+cc         yprp     = fyprim( REAL(j) - 0.25 )
+cc         rlatm    = fy    ( REAL(j) + 0.25 )
+cc         yprm     = fyprim( REAL(j) + 0.25 )
 
          coslatm  = COS( rlatm )
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/integrd_p.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/integrd_p.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/integrd_p.F	(revision 1299)
@@ -6,4 +6,5 @@
      $     dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps0,masse,phis,finvmaold)
       USE parallel
+      USE control_mod
       IMPLICIT NONE
 
@@ -32,5 +33,4 @@
 #include "temps.h"
 #include "serre.h"
-#include "control.h"
 
 c   Arguments:
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/interpre.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/interpre.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/interpre.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
        subroutine interpre(q,qppm,w,fluxwppm,masse,
@@ -6,5 +6,6 @@
      s            unatppm,vnatppm,psppm)
 
-       implicit none
+      USE control_mod
+      implicit none
 
 #include "dimensions.h"
@@ -17,5 +18,4 @@
 #include "logic.h"
 #include "temps.h"
-#include "control.h"
 #include "ener.h"
 #include "description.h"
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/leapfrog_p.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/leapfrog_p.F	(revision 1299)
@@ -20,4 +20,5 @@
        USE guide_p_mod, ONLY : guide_main
        USE getparam
+       USE control_mod
 
       IMPLICIT NONE
@@ -62,5 +63,4 @@
 #include "logic.h"
 #include "temps.h"
-#include "control.h"
 #include "ener.h"
 #include "description.h"
@@ -212,5 +212,5 @@
       itau = 0
 !      iday = day_ini+itau/day_step
-!      time = FLOAT(itau-(iday-day_ini)*day_step)/day_step+time_0
+!      time = REAL(itau-(iday-day_ini)*day_step)/day_step+time_0
 !         IF(time.GT.1.) THEN
 !          time = time-1.
@@ -1280,5 +1280,5 @@
               itau= itau + 1
 !              iday= day_ini+itau/day_step
-!              time= FLOAT(itau-(iday-day_ini)*day_step)/day_step+time_0
+!              time= REAL(itau-(iday-day_ini)*day_step)/day_step+time_0
 !                IF(time.GT.1.) THEN
 !                  time = time-1.
@@ -1458,5 +1458,5 @@
              itau =  itau + 1
 !             iday = day_ini+itau/day_step
-!             time = FLOAT(itau-(iday-day_ini)*day_step)/day_step+time_0
+!             time = REAL(itau-(iday-day_ini)*day_step)/day_step+time_0
 !
 !                  IF(time.GT.1.) THEN
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/limit_netcdf.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/limit_netcdf.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/limit_netcdf.F	(revision 1299)
@@ -8,4 +8,5 @@
 ! This routine is designed to work for Earth
       USE dimphy
+      USE control_mod
       use phys_state_var_mod , ONLY : pctsrf
       use inter_barxy_m, only: inter_barxy
@@ -29,5 +30,4 @@
 #include "dimensions.h"
 #include "paramet.h"
-#include "control.h"
 #include "logic.h"
 #include "netcdf.inc"
@@ -148,5 +148,5 @@
       kappa  = 0.2857143
       cpp    = 1004.70885
-      dtvr    = daysec/FLOAT(day_step)
+      dtvr    = daysec/ REAL(day_step)
       CALL inigeom
 c
@@ -418,5 +418,5 @@
           CALL SPLINE(ax,ay,lmdep,1.e30,1.e30,yder)
           DO k = 1, 360
-            time = FLOAT(k-1)
+            time =  REAL(k-1)
             CALL SPLINT(ax,ay,yder,lmdep,time,by)
             champan(i,j,k) = by
@@ -632,5 +632,5 @@
           CALL SPLINE(ax,ay,lmdep,1.e30,1.e30,yder)
           DO k = 1, 360
-            time = FLOAT(k-1)
+            time =  REAL(k-1)
             CALL SPLINT(ax,ay,yder,lmdep,time,by)
             champan(i,j,k) = by
@@ -951,5 +951,5 @@
           CALL SPLINE(ax,ay,lmdep,1.e30,1.e30,yder)
           DO k = 1, 360
-            time = FLOAT(k-1)
+            time =  REAL(k-1)
             CALL SPLINT(ax,ay,yder,lmdep,time,by)
             champan(i,j,k) = by
@@ -1146,5 +1146,5 @@
           CALL SPLINE(ax,ay,lmdep,1.e30,1.e30,yder)
           DO k = 1, 360
-            time = FLOAT(k-1)
+            time =  REAL(k-1)
             CALL SPLINT(ax,ay,yder,lmdep,time,by)
             champan(i,j,k) = by
@@ -1300,5 +1300,5 @@
       ierr = NF_PUT_VARA_DOUBLE (nid,id_RUG,debut,epais,phy_rug(1,k))
 #else
-      ierr = NF_PUT_VAR1_REAL (nid,id_tim,k,FLOAT(k))
+      ierr = NF_PUT_VAR1_REAL (nid,id_tim,k, REAL(k))
       IF (newlmt ) THEN
           ierr = NF_PUT_VARA_REAL (nid,id_FOCE,debut,epais
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ppm3d.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ppm3d.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ppm3d.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 
@@ -345,6 +345,6 @@
 C
       PI = 4. * ATAN(1.)
-      DL = 2.*PI / float(IMR)
-      DP =    PI / float(JMR)
+      DL = 2.*PI / REAL(IMR)
+      DP =    PI / REAL(JMR)
 C
       if(IGD.eq.0) then
@@ -388,5 +388,5 @@
       ZTC  = acos(CR1) * (180./PI)
 C
-      JS0 = float(JMR)*(90.-ZTC)/180. + 2
+      JS0 = REAL(JMR)*(90.-ZTC)/180. + 2
       JS0 = max(JS0, J1+1)
       IML = min(6*JS0/(J1-1)+2, 4*IMR/5)
@@ -628,5 +628,5 @@
 C Contribution from the N-S advection
       do i=1,imr*(j2-j1+1)
-      JT = float(J1) - VA(i,j1)
+      JT = REAL(J1) - VA(i,j1)
       wk1(i,j1,2) = VA(i,j1) * (q(i,jt,k,IC) - q(i,jt+1,k,IC))
       enddo
@@ -949,5 +949,5 @@
       IF(IORD.eq.1 .or. j.eq.j1. or. j.eq.j2) THEN
       DO 1406 i=1,IMR
-      iu = float(i) - uc(i,j)
+      iu = REAL(i) - uc(i,j)
 1406  fx1(i) = qtmp(iu)
       ELSE
@@ -957,5 +957,5 @@
       if(IORD.eq.2 .or. j.le.j1vl .or. j.ge.j2vl) then
       DO 1408 i=1,IMR
-      iu = float(i) - uc(i,j)
+      iu = REAL(i) - uc(i,j)
 1408  fx1(i) = qtmp(iu) + DC(iu)*(sign(1.,uc(i,j))-uc(i,j))
       else
@@ -1111,5 +1111,5 @@
       if(JORD.eq.1) then
       DO 1000 i=1,len
-      JT = float(J1) - VC(i,J1)
+      JT = REAL(J1) - VC(i,J1)
 1000  fx(i,j1) = p(i,JT)
       else
@@ -1123,5 +1123,5 @@
       else
       DO 1200 i=1,len
-      JT = float(J1) - VC(i,J1)
+      JT = REAL(J1) - VC(i,J1)
 1200  fx(i,j1) = p(i,JT) + (sign(1.,VC(i,j1))-VC(i,j1))*DC2(i,JT)
       endif
@@ -1358,5 +1358,5 @@
 	do j=j1-1,j2+1
       do i=1,imr
-      JP = float(j)-VA(i,j)
+      JP = REAL(j)-VA(i,j)
       ady(i,j) = VA(i,j)*(wk(i,jp)-wk(i,jp+1))
       enddo
@@ -1582,5 +1582,5 @@
       JMR = JNP-1
       do 55 j=2,JNP
-        ph5  =  -0.5*PI + (FLOAT(J-1)-0.5)*DP
+        ph5  =  -0.5*PI + (REAL(J-1)-0.5)*DP
 55      cose(j) = cos(ph5)
 C
@@ -1834,5 +1834,5 @@
 C
 c      if(first) then
-      DP = 4.*ATAN(1.)/float(JNP-1)
+      DP = 4.*ATAN(1.)/REAL(JNP-1)
       CAP1 = IMR*(1.-COS((j1-1.5)*DP))/DP
 c      first = .false.
@@ -1889,5 +1889,5 @@
 C Check Poles.
       if(q(1,1).lt.0.) then
-      dq = q(1,1)*cap1/float(IMR)*acosp(j1)
+      dq = q(1,1)*cap1/REAL(IMR)*acosp(j1)
       do i=1,imr
       q(i,1) = 0.
@@ -1898,5 +1898,5 @@
 C
       if(q(1,JNP).lt.0.) then
-      dq = q(1,JNP)*cap1/float(IMR)*acosp(j2)
+      dq = q(1,JNP)*cap1/REAL(IMR)*acosp(j2)
       do i=1,imr
       q(i,JNP) = 0.
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ran1.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ran1.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ran1.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       FUNCTION RAN1(IDUM)
@@ -20,5 +20,5 @@
           IX1=MOD(IA1*IX1+IC1,M1)
           IX2=MOD(IA2*IX2+IC2,M2)
-          R(J)=(FLOAT(IX1)+FLOAT(IX2)*RM2)*RM1
+          R(J)=(REAL(IX1)+REAL(IX2)*RM2)*RM1
 11      CONTINUE
         IDUM=1
@@ -30,5 +30,5 @@
       IF(J.GT.97.OR.J.LT.1)PAUSE
       RAN1=R(J)
-      R(J)=(FLOAT(IX1)+FLOAT(IX2)*RM2)*RM1
+      R(J)=(REAL(IX1)+REAL(IX2)*RM2)*RM1
       RETURN
       END
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/sortvarc.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/sortvarc.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/sortvarc.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE sortvarc
@@ -59,5 +59,5 @@
 
        dtvrs1j   = dtvr/daysec
-       rjour     = FLOAT( INT( itau * dtvrs1j ))
+       rjour     = REAL( INT( itau * dtvrs1j ))
        heure     = ( itau*dtvrs1j-rjour ) * 24.
        imjmp1    = iim * jjp1
@@ -129,7 +129,7 @@
       ang   = SSUM(     llm,  angl, 1 )
 
-c      rday = FLOAT(INT ( day_ini + time ))
+c      rday = REAL(INT ( day_ini + time ))
 c
-       rday = FLOAT(INT(time-jD_ref-jH_ref))
+       rday = REAL(INT(time-jD_ref-jH_ref))
       IF(ptot0.eq.0.)  THEN
          PRINT 3500, itau, rday, heure,time
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/sortvarc0.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/sortvarc0.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/sortvarc0.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE sortvarc0
@@ -60,5 +60,5 @@
 
        dtvrs1j   = dtvr/daysec
-       rjour     = FLOAT( INT( itau * dtvrs1j ))
+       rjour     = REAL( INT( itau * dtvrs1j ))
        heure     = ( itau*dtvrs1j-rjour ) * 24.
        imjmp1    = iim * jjp1
@@ -130,5 +130,5 @@
       ang0   = SSUM(     llm,  angl, 1 )
 
-      rday = FLOAT(INT (time ))
+      rday = REAL(INT (time ))
 c
       PRINT 3500, itau, rday, heure, time
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/startvar.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/startvar.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/startvar.F	(revision 1299)
@@ -352,5 +352,5 @@
       phis = phis * 9.81
     !
-!      masque(:,:) = FLOAT(tmp_int(:,:))
+!      masque(:,:) = REAL(tmp_int(:,:))
     !
     !  Compute surface roughness
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/tourabs.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/tourabs.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/tourabs.F	(revision 1299)
@@ -57,7 +57,7 @@
         ELSE
          rot( ij,l ) = (vcov(ij+1,l)/cv(ij+1)-vcov(ij,l)/cv(ij))/
-     $                 (2.*pi*RAD*cos(rlatv(j)))*float(iim)
+     $                 (2.*pi*RAD*cos(rlatv(j)))*REAL(iim)
      $                +(ucov(ij+iip1,l)/cu(ij+iip1)-ucov(ij,l)/cu(ij))/
-     $                 (pi*RAD)*(float(jjm)-1.)
+     $                 (pi*RAD)*(REAL(jjm)-1.)
 c
         ENDIF
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/traceurpole.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/traceurpole.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/traceurpole.F	(revision 1299)
@@ -1,6 +1,8 @@
 !
-! $Header$
+! $Id$
 !
           subroutine traceurpole(q,masse)
+
+      USE control_mod
 
           implicit none
@@ -15,5 +17,4 @@
 #include "logic.h"
 #include "temps.h"
-#include "control.h"
 #include "ener.h"
 #include "description.h"
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ugeostr.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ugeostr.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/dyn3dpar/ugeostr.F	(revision 1299)
@@ -40,5 +40,5 @@
             DO i=1,iim
                u(i,j,l)=fact*(phi(i,j+1,l)-phi(i,j,l))
-               um(j,l)=um(j,l)+u(i,j,l)/float(iim)
+               um(j,l)=um(j,l)+u(i,j,l)/REAL(iim)
             ENDDO
          ENDDO
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_new.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_new.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_new.h	(revision 1299)
@@ -8,13 +8,13 @@
 c....stretching in x...
 c
-        ripx(  ri )= (ri-1.0) *2.*pi/FLOAT(iim) 
+        ripx(  ri )= (ri-1.0) *2.*pi/REAL(iim) 
         fx  (  ri )= ripx(ri) + transx  +
      *         alphax * SIN( ripx(ri)+transx-pxo ) - pi
-        fxprim(ri) = 2.*pi/FLOAT(iim)  *
+        fxprim(ri) = 2.*pi/REAL(iim)  *
      *        ( 1.+ alphax * COS( ripx(ri)+transx-pxo ) )
 
 c....stretching in y...
 c
-        bigy(rj)   = 2.* (FLOAT(jjp1)-rj ) *pi/jjm
+        bigy(rj)   = 2.* (REAL(jjp1)-rj ) *pi/jjm
         fy(rj)     =  ( bigy(rj) + transy  +
      *        alphay * SIN( bigy(rj)+transy-pyo ) ) /2.  - pi/2.
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_reg.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_reg.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_reg.h	(revision 1299)
@@ -13,13 +13,13 @@
 c
 c
-      fy    ( rj ) =    pi/FLOAT(jjm) * ( 0.5 * FLOAT(jjm) +  1. - rj  )
-      fyprim( rj ) =    pi/FLOAT(jjm)
+      fy    ( rj ) =    pi/REAL(jjm) * ( 0.5 * REAL(jjm) +  1. - rj  )
+      fyprim( rj ) =    pi/REAL(jjm)
 
-c     fy(rj)=ASIN(1.+2.*((1.-rj)/FLOAT(jjm)))
+c     fy(rj)=ASIN(1.+2.*((1.-rj)/REAL(jjm)))
 c     fyprim(rj)=1./SQRT((rj-1.)*(jjm+1.-rj))
 
-      fx    ( ri ) = 2.*pi/FLOAT(iim) * ( ri - 0.5*  FLOAT(iim) - 1. )
-c     fx    ( ri ) = 2.*pi/FLOAT(iim) * ( ri - 0.5* ( FLOAT(iim) + 1.) )
-      fxprim( ri ) = 2.*pi/FLOAT(iim)
+      fx    ( ri ) = 2.*pi/REAL(iim) * ( ri - 0.5*  REAL(iim) - 1. )
+c     fx    ( ri ) = 2.*pi/REAL(iim) * ( ri - 0.5* ( REAL(iim) + 1.) )
+      fxprim( ri ) = 2.*pi/REAL(iim)
 c
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_sin.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_sin.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxy_sin.h	(revision 1299)
@@ -13,10 +13,10 @@
 c
 c
-      fy(rj)=ASIN(1.+2.*((1.-rj)/FLOAT(jjm)))
+      fy(rj)=ASIN(1.+2.*((1.-rj)/REAL(jjm)))
       fyprim(rj)=1./SQRT((rj-1.)*(jjm+1.-rj))
 
-      fx    ( ri ) = 2.*pi/FLOAT(iim) * ( ri - 0.5*  FLOAT(iim) - 1. )
-c     fx    ( ri ) = 2.*pi/FLOAT(iim) * ( ri - 0.5* ( FLOAT(iim) + 1.) )
-      fxprim( ri ) = 2.*pi/FLOAT(iim)
+      fx    ( ri ) = 2.*pi/REAL(iim) * ( ri - 0.5*  REAL(iim) - 1. )
+c     fx    ( ri ) = 2.*pi/REAL(iim) * ( ri - 0.5* ( REAL(iim) + 1.) )
+      fxprim( ri ) = 2.*pi/REAL(iim)
 c
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxyprim.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxyprim.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/grid/fxyprim.h	(revision 1299)
@@ -13,13 +13,13 @@
 c
 c
-      fy    ( rj ) =    pi/FLOAT(jjm) * ( 0.5 * FLOAT(jjm) +  1. - rj  )
-      fyprim( rj ) =    pi/FLOAT(jjm)
+      fy    ( rj ) =    pi/REAL(jjm) * ( 0.5 * REAL(jjm) +  1. - rj  )
+      fyprim( rj ) =    pi/REAL(jjm)
 
-c     fy(rj)=ASIN(1.+2.*((1.-rj)/FLOAT(jjm)))
+c     fy(rj)=ASIN(1.+2.*((1.-rj)/REAL(jjm)))
 c     fyprim(rj)=1./SQRT((rj-1.)*(jjm+1.-rj))
 
-      fx    ( ri ) = 2.*pi/FLOAT(iim) * ( ri - 0.5*  FLOAT(iim) - 1. )
-c     fx    ( ri ) = 2.*pi/FLOAT(iim) * ( ri - 0.5* ( FLOAT(iim) + 1.) )
-      fxprim( ri ) = 2.*pi/FLOAT(iim)
+      fx    ( ri ) = 2.*pi/REAL(iim) * ( ri - 0.5*  REAL(iim) - 1. )
+c     fx    ( ri ) = 2.*pi/REAL(iim) * ( ri - 0.5* ( REAL(iim) + 1.) )
+      fxprim( ri ) = 2.*pi/REAL(iim)
 c
 c
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aaam_bud.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aaam_bud.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aaam_bud.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       subroutine aaam_bud (iam,nlon,nlev,rjour,rsec,
@@ -117,10 +117,15 @@
       REAL BLSU(801,401),BLSV(801,401)
       REAL ZLON(801),ZLAT(401)
+
+      CHARACTER (LEN=20) :: modname='aaam_bud'
+      CHARACTER (LEN=80) :: abort_message
+
+
 C
 C  PUT AAM QUANTITIES AT ZERO:
 C
       if(iim+1.gt.801.or.jjm+1.gt.401)then
-      print *,' Pb de dimension dans aaam_bud'
-      stop
+        abort_message = 'Pb de dimension dans aaam_bud'
+        CALL abort_gcm (modname,abort_message,1)
       endif
 
@@ -128,6 +133,6 @@
       hadley=1.e18
       hadday=1.e18*24.*3600.
-      dlat=xpi/float(jjm)
-      dlon=2.*xpi/float(iim) 
+      dlat=xpi/REAL(jjm)
+      dlon=2.*xpi/REAL(iim) 
       
       do iax=1,3
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aeropt.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aeropt.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aeropt.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
       SUBROUTINE aeropt(pplay, paprs, t_seri, msulfate, RHcl,
@@ -39,4 +39,8 @@
       REAL alpha_aer_sulfate(nbre_RH,5)   !--unit m2/g SO4
       REAL alphasulfate      
+
+      CHARACTER (LEN=20) :: modname='aeropt'
+      CHARACTER (LEN=80) :: abort_message
+
 c
 c Proprietes optiques
@@ -85,5 +89,8 @@
         rh=MIN(RHcl(i,k)*100.,RH_MAX)
         RH_num = INT( rh/10. + 1.)
-        IF (rh.LT.0.) STOP 'aeropt: RH < 0 not possible'
+        IF (rh.LT.0.) THEN
+          abort_message = 'aeropt: RH < 0 not possible'
+          CALL abort_gcm (modname,abort_message,1)
+        ENDIF
         IF (rh.gt.85.) RH_num=10
         IF (rh.gt.90.) RH_num=11
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aeropt_5wv.F90
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aeropt_5wv.F90	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/aeropt_5wv.F90	(revision 1299)
@@ -621,6 +621,4 @@
   DO k=1, klev
     DO i=1, klon
-!      IF (t_seri(i,k).EQ.0) stop 'stop aeropt_5wv T '
-!      IF (pplay(i,k).EQ.0) stop  'stop aeropt_5wv p '
       zrho=pplay(i,k)/t_seri(i,k)/RD                  ! kg/m3
 !CDIR UNROLL=naero_spc
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/albedo.F
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/albedo.F	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/albedo.F	(revision 1299)
@@ -1,4 +1,4 @@
 !
-! $Header$
+! $Id$
 !
 c
@@ -67,5 +67,5 @@
 c prend en compte l'autre moitie de la journee):
       DO k = 1, npts
-         rmu = aa + bb * COS(FLOAT(k)/FLOAT(npts)*zpi)
+         rmu = aa + bb * COS(REAL(k)/REAL(npts)*zpi)
          rmu = MAX(0.0, rmu)
          fauxo = (1.47-ACOS(rmu))/.15
@@ -110,5 +110,5 @@
 c prend en compte l'autre moitie de la journee):
       DO k = 1, npts
-         rmu = aa + bb * COS(FLOAT(k)/FLOAT(npts)*zpi)
+         rmu = aa + bb * COS(REAL(k)/REAL(npts)*zpi)
          rmu = MAX(0.0, rmu)
 cIM cf. PB      alb = 0.058/(rmu + 0.30)
Index: LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calcul_simulISCCP.h
===================================================================
--- LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calcul_simulISCCP.h	(revision 1298)
+++ LMDZ4/branches/LMDZ4V5.0-dev/libf/phylmd/calcul_simulISCCP.h	(revision 1299)
@@ -1,4 +1,4 @@
 c
-c $Header$
+c $Id$
 c
 c on appelle le simulateur ISCCP toutes les 3h
@@ -18,5 +18,5 @@
        sunlit(i)=1 
        IF(rmu0(i).EQ.0.) sunlit(i)=0
-       nbsunlit(1,i,n)=FLOAT(sunlit(i))
+       nbsunlit(1,i,n)=REAL(sunlit(i))
       ENDDO
 c
@@ -88,9 +88,11 @@
            print*,'seed=0 i paprs aa seed_re',
      .     i,paprs(i,2),aa,seed_re(i,n)
-           STOP
+           abort_message = ''
+           CALL abort_gcm (modname,abort_message,1)
           ELSE IF(seed(i,n).LT.0) THEN
            print*,'seed < 0, i seed itap paprs',i,
      .     seed(i,n),itap,paprs(i,2)
-           STOP
+           abort_message = ''
+           CALL abort_gcm (modname,abort_message,1)
           ENDIF
 c
